// Definition einer Kreisklasse --------------------------------------

class Kreis {
  // Variablen deklarieren ----------------
  int xpos;      // x koordinate
  int ypos;      // y koordinate
  int diameter;  // durchmesser
  int col;       // grauton

  // Konstruktoren ---------------------------------------------------
  // Konstruktor ohne Parameter ------------
  Kreis(){
  // Wertübergabe
  xpos = 50;
  ypos = 50;
  diameter = 25;
  col = 100;
  }
  
  // Konstruktor mit ALLEN Parameter ------------
  Kreis(int x, int y, int d, int c){
  // Wertübergabe
  xpos = x;
  ypos = y;
  diameter = d;
  col = c;
  }
  
  // Konstruktor mit NUR 3 Parameter ------------
  Kreis(int x, int y, int d){
  // Wertübergabe
  xpos = x;
  ypos = y;
  diameter = d;
  col = 200;
  }
    
  
  
  // Methoden ---------------------------------------------------
  // Zeichnen -----------------------------------  
  void draw(){
  fill(col);  
  ellipseMode(CENTER);
  ellipse(xpos, ypos, diameter, diameter);
  }

  // Bewegen ------------------------------------  
  void move(int step){
    xpos = xpos + step;
    if (xpos > width){
      xpos = 0;
    } else if (xpos < 0){
      xpos = width;
    }
  }


} 
